%define url_ver %(echo %{version} | cut -d. -f1,2)

# fix copr builds
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Desktop manager for the Xfce Desktop Environment
Name:		xfdesktop
Version:	4.20.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches
Patch500:	0001-Disable-ellipsizing-unselected-icon-labels-by-defaul.patch
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(garcon-gtk3-1)
BuildRequires:	pkgconfig(gdk-wayland-3.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4windowing-0) >= 4.19.5
BuildRequires:	pkgconfig(libxfce4windowingui-0) >= 4.19.5
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(thunarx-3)
BuildRequires:	pkgconfig(yaml-0.1)
Requires:	desktop-common-data
Requires:	%{_real_vendor}-xfce-config
Requires:	%{_real_vendor}-theme

%description
The desktop manager sets the background image, provides a right-click menu to
launch applications and can optionally show files (including application
launchers) or iconified windows. It includes gradient support for background
color, saturation support for background image, real multiscreen and xinerama
support, and it provides a desktop menu editor.

%prep
%autosetup -p1 -Sgit_am

%build
%configure \
	--disable-static \
	--enable-desktop-icons \
	--enable-file-icons \
	--enable-thunarx \
	--enable-desktop-menu \
	--with-file-manager-fallback=%{_bindir}/Thunar \
	--enable-notifications

%make_build

%install
%make_install

# symlink to default mageia background
ln -s %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/backgrounds/xfce/mageia.png

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README* AUTHORS NEWS
%{_bindir}/xfdesktop*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.xfdesktop.{png,svg}
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/xfdesktop/
%{_mandir}/man1/xfdesktop*
%dir %{_datadir}/backgrounds/xfce/
%{_datadir}/backgrounds/xfce/xfce-*.{jpg,png,svg}
%{_datadir}/backgrounds/xfce/mageia.png


%changelog
* Sun Dec 15 2024 wally <wally> 4.20.0-1.mga10
+ Revision: 2125231
- new version 4.20.0

* Fri Nov 01 2024 wally <wally> 4.19.6-1.mga10
+ Revision: 2112127
- new version 4.19.6
- new version 4.19.5
- new version 4.19.4

* Sun Apr 21 2024 wally <wally> 4.19.2-1.mga10
+ Revision: 2060355
- new version 4.19.2

* Sun Jan 22 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1934789
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923761
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1915988
- new version 4.17.2

* Tue Aug 23 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1879505
- new version 4.17.0

* Tue Apr 05 2022 umeabot <umeabot> 4.16.0-2.mga9
+ Revision: 1844380
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663198
- new version 4.16.0

* Wed Nov 04 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1642617
- new version 4.15.1

* Fri Jun 19 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1597380
- new version 4.15.0

* Wed Feb 19 2020 umeabot <umeabot> 4.14.2-2.mga8
+ Revision: 1543067
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 13 2020 wally <wally> 4.14.2-1.mga8
+ Revision: 1477814
- new version 4.14.2

* Mon Aug 12 2019 wally <wally> 4.14.1-1.mga8
+ Revision: 1429013
- new version 4.14.1

* Mon Aug 12 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428933
- new version 4.14.0

* Wed Jul 31 2019 wally <wally> 4.13.6-1.mga8
+ Revision: 1426411
- new version 4.13.6

* Mon Jul 01 2019 wally <wally> 4.13.5-1.mga8
+ Revision: 1417265
- new version 4.13.5
- drop upstreamed patches

* Sat Jun 29 2019 wally <wally> 4.13.4-2.mga8
+ Revision: 1416111
- add upstream patch to fix dbus proxy init (xfce#15418)

* Sat May 18 2019 wally <wally> 4.13.4-1.mga7
+ Revision: 1398247
- new version 4.13.4
- drop patches from usptream

* Thu May 02 2019 wally <wally> 4.13.3-5.mga7
+ Revision: 1396142
- add patch to disable ellipsizing unselected icon labels by default (mga#24462)

* Wed Apr 17 2019 wally <wally> 4.13.3-4.mga7
+ Revision: 1392052
- add upstream patches
  - fix scaling of images with orientation metadata (xfce#14644)
  - fix stretching/zooming of images with orientation metadata (xfce#15292)
  - remove faulty line in glade file (xfce#15293)

* Sun Apr 14 2019 wally <wally> 4.13.3-3.mga7
+ Revision: 1390028
- add upstream patch to fix xfdesktop crashes after multiple --reload (xfce#15060)

* Sat Apr 06 2019 wally <wally> 4.13.3-2.mga7
+ Revision: 1386449
- add patches from upstream

* Sat Mar 09 2019 wally <wally> 4.13.3-1.mga7
+ Revision: 1373104
- new version 4.13.3

* Sun Sep 23 2018 umeabot <umeabot> 4.13.2-2.mga7
+ Revision: 1301896
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 wally <wally> 4.13.2-1.mga7
+ Revision: 1237402
- new version 4.13.2
- drop patches from usptream

* Thu May 31 2018 wally <wally> 4.13.1-2.mga7
+ Revision: 1233260
- add patches from upstream to fix various bugs
  o fixes also single click issue (mga#22596)

* Fri Sep 29 2017 wally <wally> 4.13.1-1.mga7
+ Revision: 1161645
- new version 4.13.1
- drop patches from upstream

* Tue Jun 27 2017 wally <wally> 4.12.4-1.mga6
+ Revision: 1108582
- new version 4.12.4
- rebase P4 and drop upstreamed P5

* Tue Sep 20 2016 wally <wally> 4.12.3-5.mga6
+ Revision: 1054757
- add patch from upstream to fix directory selection bug in wallpaper choose dialog (xfce#12832)

* Sun Sep 18 2016 akien <akien> 4.12.3-4.mga6
+ Revision: 1053722
- Fix default background symlink to match config 4.120.6.2

* Tue Aug 16 2016 wally <wally> 4.12.3-3.mga6
+ Revision: 1046501
- add patches from upstream git to fix bugs reported to upstream

* Wed Feb 17 2016 umeabot <umeabot> 4.12.3-2.mga6
+ Revision: 963604
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 wally <wally> 4.12.3-1.mga6
+ Revision: 855954
- new version 4.12.3

* Sat Jun 20 2015 wally <wally> 4.12.2-1.mga6
+ Revision: 836198
- new version 4.12.2

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817400
- new version 4.12.0
- drop patches from upstream

* Mon Nov 17 2014 wally <wally> 4.11.8-3.mga5
+ Revision: 797722
- add patch from upstream git to respect default apps with glib >= 2.41 (xfce#11306)

* Wed Oct 15 2014 umeabot <umeabot> 4.11.8-2.mga5
+ Revision: 747133
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 4.11.8-1.mga5
+ Revision: 733881
- new version 4.11.8

* Tue Sep 16 2014 umeabot <umeabot> 4.11.7-2.mga5
+ Revision: 690646
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 wally <wally> 4.11.7-1.mga5
+ Revision: 661631
- new version 4.11.7

* Mon Apr 07 2014 wally <wally> 4.11.6-1.mga5
+ Revision: 612655
- new version 4.11.6
- drop upstreamed patches

* Thu Apr 03 2014 wally <wally> 4.11.5-2.mga5
+ Revision: 611540
- add patch from upstream bugzilla to fix disappearing background image (mga#13134, xfce#10788)

* Mon Mar 31 2014 wally <wally> 4.11.5-1.mga5
+ Revision: 610964
- new version 4.11.5
- drop single click patch

* Tue Mar 18 2014 wally <wally> 4.11.4-1.mga5
+ Revision: 605058
- new version 4.11.4
- drop patches from upstream

* Sun Feb 23 2014 wally <wally> 4.11.3-2.mga5
+ Revision: 595894
- add patch from upstream git to fix crash on startup (xfce#10705)

* Wed Feb 19 2014 wally <wally> 4.11.3-1.mga5
+ Revision: 594832
- new version 4.11.3

* Tue Feb 04 2014 wally <wally> 4.11.2-1.mga5
+ Revision: 581756
- new version 4.11.2
- drop default colors patch
- drop patches from upstream
- symlink default mga background to location where Xfce finds it

* Sat Oct 19 2013 umeabot <umeabot> 4.10.2-3.mga4
+ Revision: 532085
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 wally <wally> 4.10.2-2.mga4
+ Revision: 466800
- add patch from upstream git to fix crash when changing icon type
- build with thunarx support

* Sun Mar 10 2013 wally <wally> 4.10.2-1.mga3
+ Revision: 402050
- new version 4.10.2

* Wed Mar 06 2013 wally <wally> 4.10.1-1.mga3
+ Revision: 401551
- new version 4.10.1
- drop upstream applied patches

* Sat Feb 16 2013 wally <wally> 4.10.0-8.mga3
+ Revision: 398711
- add patch to fix eject/unmount notifications (xfce#9845)

* Sat Jan 26 2013 wally <wally> 4.10.0-7.mga3
+ Revision: 392402
- add a patch from upstream git to add an unmount option for removable devices (xfce#7610)

* Sat Jan 26 2013 wally <wally> 4.10.0-6.mga3
+ Revision: 392382
- add a patch from upstream git to add a signal handler for removable devices to update the icon when the theme is changed (xfce#8977)

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-5.mga3
+ Revision: 386897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 wally <wally> 4.10.0-4.mga3
+ Revision: 278735
- add a patch from upstream GIT to fix background search locations (xfce#8799)

* Wed Jun 27 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 264486
- fix use-after-free in desktop icon tooltip code (bnc#768985, xfce#9059)
  o patch from openSUSE via upstream bugzilla

* Sun Jun 03 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 253579
- fix 'Single click to activate items' not working after logout (mga#6156, xfce#8750)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248495
- new version 4.10.0
- clean .spec

* Wed Mar 07 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 221263
- fix desktop file preventing upload
- new version 4.9.0
- rediff default color patch (I guess this needs to be updated for Mageia?)
- clean .spec

* Wed Sep 14 2011 fwang <fwang> 4.8.3-1.mga2
+ Revision: 143126
- new version 4.8.3

* Tue Jun 21 2011 ahmad <ahmad> 4.8.2-1.mga2
+ Revision: 111159
- Update to 4.8.2
- Add BR libnotify-devel to enable mount notification support

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53138
- imported package xfdesktop


* Thu Feb 03 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 635405
- update to new version 4.8.1

* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1
+ Revision: 632765
- update to new version 4.8.0

* Fri Jan 07 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 629645
- update to new version 4.7.5

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 616399
- update to new version 4.7.4

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 609368
- update to new version 4.7.3

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-2mdv2011.0
+ Revision: 594167
- enable support for activators on desktop
- drop conditionals in spec file for mdv older than 200900

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 593847
- update to new version 4.7.2

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-1mdv2011.0
+ Revision: 579591
- disable launchers icons
- update to new version 4.7.0
- adjust buildrequires
- update file list

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553895
- update to new version 4.6.2

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 543222
- rebuild for mdv 2010.1

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368580
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-5mdv2009.1
+ Revision: 364235
- drop patch0, completely useless
- Patch5: rediff
- Patch1: no need to call xfce_menu_init() from the stub
- Patch2: call gdk_flush() after removing X properties
- Patch3: reload image and icon view
- Patch4: default acction to accept for delete dialgos
- Patch6: reload desktop when the 1st img is added to an img list
- Patch7: auto select images as they are added to the list

* Wed Mar 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-4mdv2009.1
+ Revision: 357514
- exclude xfce-applications.menu, provide better one layout in next release of mandriva-xfce-config

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 349422
- rebuild
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345759
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 334208
- update to new version 4.5.99.1
- menu-editor is dead

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329519
- update to new version 4.5.93

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303564
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)
- add full path for the Source0

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294732
- Xfce4.6 beta1 is landing on cooker
- disable all patches, some of them could be still usefull, will investigate this later
- tune up buildrequires
- fix file list

* Mon Oct 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-23mdv2009.1
+ Revision: 293353
- Patch7: new version

* Thu Sep 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-22mdv2009.0
+ Revision: 288184
- Patch11: do not force disable double buffering (fixes a lot of flickering issues and memory usage)

* Fri Sep 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-21mdv2009.0
+ Revision: 285985
- patch7: rediff
- Patch7: new version (from xfce upstream bug #4365)

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-20mdv2009.0
+ Revision: 281252
- Patch7: new version of patch

* Tue Aug 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-19mdv2009.0
+ Revision: 273493
- Patch7: use XDG_DESKTOP_DIR environment variable for desktop directory

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-18mdv2009.0
+ Revision: 229716
- Patch9: activate menu items (upstream bug #3652)
- Patch10: add zoom option for backdrop

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-17mdv2009.0
+ Revision: 219437
- fix file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-16mdv2009.0
+ Revision: 208982
- Patch8: simplify freeing code

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-15mdv2009.0
+ Revision: 205608
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Mon May 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-14mdv2009.0
+ Revision: 201354
- Patch7: do not hardcode desktop directory to /home/someuser/Desktop, use instead XDG_DESKTOP_DIR which uses localised desktop directory (Xfce upstream bug #4062)

* Tue Apr 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-13mdv2009.0
+ Revision: 192379
- set explicit requires on mandriva-xfce-config, so this should prevent empty menus issue

* Tue Mar 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-12mdv2008.1
+ Revision: 188643
- Patch6: fix settings_register_callback assertion

* Mon Mar 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-11mdv2008.1
+ Revision: 188427
- Patch5: set default Mandriva colors (based on x11-server patch)
- Patch3: rediff
- Patch4: obey X-MandrivaLinux-.hidden

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-10mdv2008.1
+ Revision: 176642
- Patch2: fix more mem leaks

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-9mdv2008.1
+ Revision: 176205
- Patch3: fix relocation while building on x86_64
- Patch2: fix memory leak in menu code

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-8mdv2008.1
+ Revision: 121176
- add patch 2 (show Eject for all removeable media, not only for disks)

  + Thierry Vignaud <tv@mandriva.org>
    - do not package big ChangeLog

* Thu Dec 06 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-7mdv2008.1
+ Revision: 116069
- Add backdrop patch

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-6mdv2008.1
+ Revision: 113691
- update to the latest tarball

* Fri Nov 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-5mdv2008.1
+ Revision: 111653
- drop requires on ia_ora-gnome, which were not used at all

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2008.1
+ Revision: 110151
- new license policy
- remove not needed buildrequires
- do not package COPYING, add NEWS and ChangeLog instead

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix BuildRequires and Requires
    - Bump Release

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109977
- New release 4.4.2

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 91887
- exclude config files, which are now in mandriva-xfce-config package
- drop old and useless menu scripts

* Tue Sep 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 89665
- requires xfce-utils
- rediff patch 6

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 71413
- provide patch 11 (fix mouse's button behaviour against gtk2-2.11.x)

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 44305
- own only those configure files which are belong to this package

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 35002
- add P10 (fix memleak)
- add P9 (sets caption and icon for menu button)
- add P8 (show wallpaper by default)
- provide P7 (use wallpaper from mandriva-theme)
- set requires on ia_ora-gnome
- update description
- drop __libtoolize
- disable compiling static files rather than removing them
- use macros in %%post and %%postun
- spec file clean

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31090
- Add Xubuntu patches and Mandriva default theme

* Fri Apr 20 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 16126
- New release 4.4.1


* Thu Feb 01 2007 Lev Givon <lev@mandriva.org> 4.4.0-2mdv2007.0
+ Revision: 115832
- Add thunar-devel build requirement needed by new desktop file icon
  feature.

* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112328
- New release 4.4.0

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 97239
- Remove patch0
- New release 4.3.99.2
- Import xfdesktop

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)
- disable mdk menu patch for the moment

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246
- buildrequires exo-devel

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- require mandriva-theme
- rediff P0, P3
- add more menu locales to P2
- don't run libtoolize

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove more unneeded devel files
- fix permissions of postrun script

* Fri Jun 03 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- add menu_method_postrun.sh to remove submenu from menu2.xml

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- requires desktop-common-data

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- P3: define default backdrop
- use www-browser, require mandrake_desk

* Sat Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-3mdk
- update menu-method to include icons
  Thanks to Roman Moravcik <morgan@pobox.sk>

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-panel-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- rediff P0
- drop P1, merged upstream

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- disable P0 and P1

* Thu Nov 18 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-4mdk
- Patch2: use mandrake menu, disable xdg menu
- update menu-method to produce valid xml file

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.99.1-3mdk
- Regenerate patch0 (and make Marcel happy :)

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1.99.1-2mdk
- Patch1: fix UTF8 in desktop file

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- disable P0 for now
- update filelist

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0.6-2mdk
- Patch0: fix background dithering

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

